X2Go Bug report logs - #274
Speed setting in pyhoca-gui does not get the value from sessions file

version graph

Package: pyhoca-gui; Maintainer for pyhoca-gui is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-gui is src:pyhoca-gui.

Reported by: Dick Kniep <dick@lindix.nl>

Date: Mon, 29 Jul 2013 08:48:01 UTC

Severity: normal

Tags: confirmed, pending

Fixed in version 0.4.0.6

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#274; Package python-x2go. (Mon, 29 Jul 2013 08:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dick Kniep <dick@lindix.nl>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 29 Jul 2013 08:48:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Dick Kniep <dick@lindix.nl>
To: submit@bugs.x2go.org <submit@bugs.x2go.org>
Subject: Speed setting in pyhoca-gui does not get the value from sessions file
Date: Mon, 29 Jul 2013 10:19:31 +0200
Package: python-x2go
Version: 0.4.0.5

If the value in the sessions file for the speed parameter is '0', the slider still shows ADSL instead of "Modem".

Met vriendelijke groet,
Dick Kniep
Lindix BV
tel. 036-5215580
mob. 06-50991858


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#274; Package python-x2go. (Tue, 30 Jul 2013 11:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 30 Jul 2013 11:33:01 GMT) Full text and rfc822 format available.

Message #10 received at 274@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Dick Kniep <dick@lindix.nl>, 274@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#274: Speed setting in pyhoca-gui does not get the value from sessions file
Date: Tue, 30 Jul 2013 13:18:06 +0200
[Message part 1 (text/plain, inline)]
reassign #274 pyhoca-gui
tag #274 confirmed
thanks

Hi Dick,

On Mo 29 Jul 2013 10:19:31 CEST Dick Kniep wrote:

> Package: python-x2go
> Version: 0.4.0.5
>
> If the value in the sessions file for the speed parameter is '0',  
> the slider still shows ADSL instead of "Modem".

The issue is buried in the PyHoca-GUI profilemanager.py file.  
Reassigning to PyHoca-GUI.

Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#274; Package python-x2go. (Tue, 30 Jul 2013 11:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 30 Jul 2013 11:33:02 GMT) Full text and rfc822 format available.

Message #15 received at 274@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 274-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 274@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-gui) has been marked as pending for release
Date: Tue, 30 Jul 2013 13:19:38 +0200 (CEST)
tag #274 pending
fixed #274 0.4.0.6
thanks

Hello,

X2Go issue #274 (src:pyhoca-gui) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=26556ff

The issue will most likely be fixed in src:pyhoca-gui (0.4.0.6).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 26556ffc8d684ba70833f7344afbf05993c33e0b
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue Jul 30 13:19:33 2013 +0200

    Only use default speed if it cannot be obtained from the session profile configuration. Makes the speed setting now configurable. (Fixes: #274).

diff --git a/debian/changelog b/debian/changelog
index 5ecfa4e..8fa59a0 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -2,6 +2,8 @@ pyhoca-gui (0.4.0.6-0~x2go1) UNRELEASED; urgency=low
 
   * New upstream version (0.4.0.6):
     - Fix AttributeError in setup.py when using py2exe build method.
+    - Only use default speed if it cannot be obtained from the session profile
+      configuration. Makes the speed setting now configurable. (Fixes: #274).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 28 Jul 2013 19:56:49 +0200
 


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#274; Package python-x2go. (Tue, 30 Jul 2013 11:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 30 Jul 2013 11:33:02 GMT) Full text and rfc822 format available.

Message #20 received at 274@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 274-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 274@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-gui) has been marked as closed
Date: Tue, 30 Jul 2013 13:20:14 +0200 (CEST)
close #274
thanks

Hello,

we are very hopeful that X2Go issue #274 reported by you
has been resolved in the new release (0.4.0.6) of the
X2Go source project »src:pyhoca-gui«.

You can view the complete changelog entry of src:pyhoca-gui (0.4.0.6)
below, and you can use the following link to view all the code changes
between this and the last release of src:pyhoca-gui.

    http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=fa79c67d9b2c15c4976dcd75fe1e5e89c79bee29;hp=d674200c856a8d870ec2973fc990710bdc8b9ec4

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:pyhoca-gui.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:pyhoca-gui
Version: 0.4.0.6
Status: RELEASE
Date: Tue, 30 Jul 2013 13:19:41 +0200
Fixes: 274
Changes: 
 pyhoca-gui (0.4.0.6) RELEASED; urgency=low
 .
   * New upstream version (0.4.0.6):
     - Fix AttributeError in setup.py when using py2exe build method.
     - Only use default speed if it cannot be obtained from the session profile
       configuration. Makes the speed setting now configurable. (Fixes: #274).


Bug reassigned from package 'python-x2go' to 'pyhoca-gui'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 30 Jul 2013 11:33:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions 0.4.0.5. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 30 Jul 2013 11:33:03 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 30 Jul 2013 11:33:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 30 Jul 2013 11:33:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 0.4.0.6. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 30 Jul 2013 11:33:03 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 30 Jul 2013 11:33:03 GMT) Full text and rfc822 format available.

Notification sent to Dick Kniep <dick@lindix.nl>:
Bug acknowledged by developer. (Tue, 30 Jul 2013 11:33:03 GMT) Full text and rfc822 format available.

Message sent on to Dick Kniep <dick@lindix.nl>:
Bug#274. (Tue, 30 Jul 2013 11:33:04 GMT) Full text and rfc822 format available.

Message sent on to Dick Kniep <dick@lindix.nl>:
Bug#274. (Tue, 30 Jul 2013 11:33:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 28 Aug 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Apr 20 14:26:47 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.